Bug 696516 - Review Request: django-robots - Robots exclusion application for Django, complementing Sitemaps
Review Request: django-robots - Robots exclusion application for Django, comp...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthias Runge
Fedora Extras Quality Assurance
: Reopened
: 518647 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-04-14 04:02 EDT by Rahul Sundaram
Modified: 2011-05-09 05:41 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-05-09 05:41:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mrunge: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Rahul Sundaram 2011-04-14 04:02:31 EDT
Spec URL: http://sundaram.fedorapeople.org/packages/django-robots.spec
SRPM URL: http://sundaram.fedorapeople.org/packages/django-robots-0.8.0-1.fc15.src.rpm

Description:
Django application to manage robots.txt files following the robots exclusion 
protocol, complementing the Django Sitemap contrib app.
Comment 1 Matthias Runge 2011-04-27 03:43:55 EDT
I'll take a look on this later today.
Comment 2 Matthias Runge 2011-04-28 16:15:25 EDT
Here's my review:


Package Review
==============

Key:
- = N/A
x = Check
! = Problem
? = Not evaluated

=== REQUIRED ITEMS ===
[x]  Package is named according to the Package Naming Guidelines.
[x]  Spec file name must match the base package %{name}, in the format %{name}.spec.
[x]  Package meets the Packaging Guidelines.
[x]  Package successfully compiles and builds into binary rpms on at least one supported architecture.
Tested on: i686/noarch, it's a noarch package
[x]  Rpmlint output:

[mrunge@sofja SPECS]$ rpmlint ./django-robots.spec ../SRPMS/django-robots-0.8.0-1.fc15.src.rpm ../RPMS/noarch/django-robots-0.8.0-1.fc15.noarch.rpm 
django-robots.src: W: spelling-error %description -l en_US txt -> text, ext, tit
django-robots.src: W: spelling-error %description -l en_US contrib -> cont rib, cont-rib, contribute
django-robots.noarch: W: spelling-error %description -l en_US txt -> text, ext, tit
django-robots.noarch: W: spelling-error %description -l en_US contrib -> cont rib, cont-rib, contribute
2 packages and 1 specfiles checked; 0 errors, 4 warnings.


[?]  Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines.
[?]  License field in the package spec file matches the actual license.
License type:
[x]  If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc.
[x]  Spec file is legible and written in American English.
[x]  Sources used to build the package matches the upstream source, as provided in the spec URL.
MD5SUM this package    : 0e4d9bed5d9070173e25df1f6d0dc867
MD5SUM upstream package: 0e4d9bed5d9070173e25df1f6d0dc867
[x]  Package is not known to require ExcludeArch, OR:

[x]  All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines.
[x]  The spec file handles locales properly.
[-]  ldconfig called in %post and %postun if required.
[x]  Package must own all directories that it creates.
[-]  Package requires other packages for directories it uses.
[x]  Package does not contain duplicates in %files.
[x]  Permissions on files are set properly.
[-]  Package has a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
[x]  Package consistently uses macros.
[x]  Package contains code, or permissable content.
[-]  Large documentation files are in a -doc subpackage, if required.
[x]  Package uses nothing in %doc for runtime.
[-]  Header files in -devel subpackage, if present.
[-]  Static libraries in -devel subpackage, if present.
[-]  Package requires pkgconfig, if .pc files are present.
[-]  Development .so files in -devel subpackage, if present.
[-]  Fully versioned dependency in subpackages, if present.
[-]  Package does not contain any libtool archives (.la).
[-]  Package contains a properly installed %{name}.desktop file if it is a GUI application.
[x]  Package does not own files or directories owned by other packages.

=== SUGGESTED ITEMS ===
[x]  Latest version is packaged.
[x]  Package does not include license text files separate from upstream.
[-]  Description and summary sections in the package spec file contains translations for supported Non-English languages, if available.
[x]  Reviewer should test that the package builds in mock.
Tested on: noarch/i686
[x]  Package should compile and build into binary rpms on all supported architectures.
Tested on: i686
[x]  Package functions as described.
[x]  Scriptlets must be sane, if used.
[-]  The placement of pkgconfig(.pc) files are correct.
[-]  File based requires are sane.


=== Issues ===
1. I'm unsure of the license name "BSD". It really looks like license of free software.
Comment 3 Rahul Sundaram 2011-04-28 17:48:53 EDT
License of free software?  I am not sure what you are referring to.  Do clarify. 

http://pypi.python.org/pypi/django-robots as well as PKG-INFO shows license as BSD
Comment 4 Matthias Runge 2011-04-29 02:42:50 EDT
Ah, ok. 

*************
* APPROVED  *
*************

then.

I',m interested to have this package for EPEL6. Are you going to provide it for EPEL 6 as well?
Comment 5 Rahul Sundaram 2011-04-29 05:49:54 EDT
*** Bug 518647 has been marked as a duplicate of this bug. ***
Comment 6 Rahul Sundaram 2011-04-29 06:05:38 EDT
No interest in EPEL for now but you can file a package change request and own the EL6 branch.  Thanks for the quick review.  

New Package SCM Request
=======================
Package Name: django-robots
Short Description: Robots exclusion application for Django, complementing Sitemaps
Owners: sundaram
Branches: f15 
InitialCC:
Comment 7 Jason Tibbitts 2011-04-29 12:10:59 EDT
Git done (by process-git-requests).
Comment 8 Matthias Runge 2011-05-02 04:55:36 EDT
Package Change Request
======================
Package Name: django-robots
New Branches:  el6
Owners: mrunge

(see comment #6)
Comment 9 Jason Tibbitts 2011-05-05 14:38:54 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.